/*
* Copyright (c) 2001-2006 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of the License "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:  EAP and WLAN authentication protocols.
*
*/

/*
* %version: 23 %
*/

#ifndef _EAPOLUID_H_
#define _EAPOLUID_H_

#define PLUGIN_INTERFACE_UID 0x101f8e4a

// EAPOL
#define EAPOL_DLL_UID 0x101f8e48
#define EAPOL_NOTIFIERS_DLL_UID 0x101f8e79
#define EAPOL_PROGRESS_NOTIFIER_UID 0x101f8e7a

// EAP-SIM
#define EAP_SIM_DLL_UID 0x101f8e49
#define EAP_SIM_IMPLEMENTATION_UID 0x101f8e4b

// EAP-TLS/PEAP
#define EAP_TLS_PEAP_DLL_UID 0x101f8e4c
#define EAP_TLS_IMPLEMENTATION_UID 0x101f8e4d
#define EAP_PEAP_IMPLEMENTATION_UID 0x101f8e4e
#define EAP_TTLS_IMPLEMENTATION_UID 0x101f8e4f
#define EAP_TLS_PEAP_NOTIFIERS_DLL_UID 0x101f8e7d
#define EAP_TLS_PEAP_SELECTION_NOTIFIERS_UID 0x101f8e7e
#define EAP_TLS_PEAP_IDENTITY_NOTIFIERS_UID 0x101f8ecf
#define EAP_FAST_IMPLEMENTATION_UID 0x2000BF12 // EAP-FAST

// TTLS-PAP
#define TTLS_PAP_IMPLEMENTATION_UID 0x2001B2F2

// EAP-MSCHAPv2
#define EAP_MSCHAPV2_DLL_UID 0x101f8e66
#define EAP_MSCHAPV2_IMPLEMENTATION_UID 0x101f8e67
#define MSCHAPV2_IMPLEMENTATION_UID 0x101f8e7b
#define EAP_MSCHAPV2_NOTIFIERS_DLL_UID 0x101f8e68
#define EAP_MSCHAPV2_USERNAME_PASSWORD_NOTIFIER_UID 0x101f8e69
#define EAP_MSCHAPV2_CHANGE_PASSWORD_NOTIFIER_UID 0x101f8e6a

// EAP-SecurID
#define EAP_SECURID_DLL_UID 0x101f8e74
#define EAP_SECURID_NOTIFIERS_DLL_UID 0x101f8e6c
#define EAP_SECURID_IMPLEMENTATION_UID 0x101f8e75
#define EAP_SECURID_IDENTITY_NOTIFIER_UID 0x101f8e76
#define EAP_SECURID_PASSCODE_NOTIFIER_UID 0x101f8e77
#define EAP_SECURID_PINCODE_NOTIFIER_UID 0x101f8e78

// EAP-GTC (implemented in EAP-SecurID)
#define EAP_GTC_IMPLEMENTATION_UID 0x101f8e80
#define EAP_GTC_IDENTITY_NOTIFIER_UID 0x101f8e7c
#define EAP_GTC_USER_INPUT_NOTIFIER_UID 0x101f8e7f

// EAP-LEAP
#define EAP_LEAP_DLL_UID 0x101f8ea6
#define EAP_LEAP_IMPLEMENTATION_UID 0x101f8ea7
#define EAP_LEAP_NOTIFIERS_DLL_UID 0x101f8ea8
#define EAP_LEAP_USERNAME_PASSWORD_NOTIFIER_UID 0x101f8ea9

// EAP-AKA
#define EAP_AKA_DLL_UID 0x102073c1
#define EAP_AKA_IMPLEMENTATION_UID 0x102073c2

// EAP-WSC Protected Setup
#define EAP_PROTECTED_SETUP_DLL_UID 0x2000b003
#define EAP_PROTECTED_SETUP_IMPLEMENTATION_UID 0x2000b004	 

// EAP-Generic IF
#define EAP_GENERIC_DLL_UID 0x20026FD1
#define EAP_GENERIC_IMPLEMENTATION_UID 0x20026FD2
#define EAP_GENERIC_INTERFACE_UID 0x20026FF7

// EAP-General-Settings IF
#define EAP_GENERAL_SETTINGS_DLL_UID 0x20026FD6
#define EAP_GENERAL_SETTINGS_IMPLEMENTATION_UID 0x20026FD8
#define EAP_GENERAL_SETTINGS_INTERFACE_UID 0x20026FF8

#define EAP_PLUGIN_DLL_UID 0x20026FD3
#define EAP_PLUGIN_IMPLEMENTATION_UID 0x20026FD5
#define EAP_PLUGIN_INTERFACE_UID 0x20026FD4

#define EAP_CORE_INTERFACEIMPLEMENTATION_DLL_UID 0x20026FCD
#define EAP_CORE_INTERFACEIMPLEMENTATION_IMPLEMENTATION_UID 0x20026FCC
#define EAP_CORE_INTERFACEIMPLEMENTATION_INTERFACE_UID 0x20026FC7

#define EAP_TOOLS_DLL_UID 0x20026FC8
#define EAP_SYMBIAN_TOOLS_UID 0x20026FD0
#define EAP_TOOLS_INTERFACE_UID 0x20026FCF

#define EAP_SERVER_UID 0x20026FCB

#define EAP_CORE_INTERFACE_DLL_UID 0x20026FEC

// WAPI Security Settings
#define WAPI_SETTINGS_CLIENT_PLUGIN_DLL_UID 0x2002DC6C
#define WAPI_SETTINGS_CLIENT_IMPLEMENTATION_UID 0x2002DC6E
#define WAPI_SETTINGS_CLIENT_INTERFACE_UID 0x2002DC6D

#define WAPI_SETTINGS_SERVER_PLUGIN_DLL_UID 0x2002DC90
#define WAPI_SETTINGS_SERVER_IMPLEMENTATION_UID 0x2002DC92
#define WAPI_SETTINGS_SERVER_INTERFACE_UID 0x2002DC91

// WAPI Core
#define WAPI_CORE_INTERFACE_DLL_UID 0x2002E6E3

#define WAPI_CORE_INTERFACEIMPLEMENTATION_DLL_UID 0x2002E6E4
#define WAPI_CORE_INTERFACEIMPLEMENTATION_IMPLEMENTATION_UID 0x2002E6E6
#define WAPI_CORE_INTERFACEIMPLEMENTATION_INTERFACE_UID 0x2002E6E5

#define WAPI_CORE_SERVER_PLUGIN_DLL_UID 0x2002E6EE
#define WAPI_CORE_SERVER_IMPLEMENTATION_UID 0x2002E6F0
#define WAPI_CORE_SERVER_INTERFACE_UID 0x2002E6EF

// FREE UIDS


#endif // _EAPOLUID_H_
